/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\CrystalStalactite.cs
Lines of code: 40

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class GodOfTheSky : Kryss
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public GodOfTheSky() : base()
		{
			Name="God Of The Sky";
			Hue=1195;


			Attributes.BonusInt=5;
			Attributes.CastSpeed=1;
			Attributes.SpellChanneling=1;
			
			WeaponAttributes.HitLightning = 35;		
			WeaponAttributes.ResistEnergyBonus = 15;

			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=100;
			AosElementDamages.Chaos=0;		
		}
		
		

		public GodOfTheSky( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
	
	}
	
}